////////////////////////////////////////////////////////////////////////////////

BEGIN_DATASET

DATASET_NAME,"TVP5151EVM, ROM Code, Auto-Switch, BT.656 w/RTC, THS8200 Encoder"

WR_REG,VID_DEC,1,0x7F,0x00			// Restart CPU
WR_REG,VID_DEC,1,0x28,0x00			// Auto-switch video standard
WR_REG,VID_DEC,1,0x0F,0x0A			// Select GPCL pin definition
WR_REG,VID_DEC,1,0x03,0x6F			// GPCL high (not used), YUV output enable

INCLUDE,THS8200_NTSC_SMPTE_YPBPR.INC		// Set for 525 line video initially

END_DATASET

////////////////////////////////////////////////////////////////////////////////

BEGIN_DATASET

DATASET_NAME,"TVP5151, Load RAM Code p5151_0125.hra"

WR_IND,VID_DEC,2,0x2FF,0x51,0x51                // Unlock password
WR_MEM,VID_DEC,p5151_0125.hra			// Load patch code
WR_REG,VID_DEC,1,0x7F,0x00			// Restart CPU
WR_REG,VID_DEC,1,0x0F,0x0A			// Select GPCL pin definition
WR_REG,VID_DEC,1,0x03,0x6F			// GPCL high (not used), YUV output enable
WR_REG,VID_DEC,1,0x28,0x02			// force ntsc

INCLUDE,THS8200_NTSC_SMPTE_YPBPR.INC		// Set for 525 line video initially

END_DATASET

